/// <reference types="p-debounce" />
import * as tsp from 'typescript/lib/protocol';
import * as lsp from 'vscode-languageserver';
import { Logger } from './logger';
import { EventTypes } from './tsp-command-types';
export declare class DiagnosticEventQueue {
    protected publicDiagnostics: (params: lsp.PublishDiagnosticsParams) => void;
    protected logger: Logger;
    protected readonly diagnostics: Map<string, Map<EventTypes, lsp.Diagnostic[]>>;
    constructor(publicDiagnostics: (params: lsp.PublishDiagnosticsParams) => void, logger: Logger);
    updateDiagnostics(kind: EventTypes, event: tsp.DiagnosticEvent): void;
    protected firePublishDiagnostics: ((arg1: string) => Promise<void>) & {
        abort(): void;
    };
    protected getDiagnostics(file: string): lsp.Diagnostic[];
}
//# sourceMappingURL=diagnostic-queue.d.ts.map